A deployment bundle for Divine.dotfiles
The deployment bundle mac-tilde-switch is under development.
A deployment bundle for Divine.dotfiles
Divine bundle 'mac-tilde-switch' switches keys '~' and '±' on a MacBook’s built-in physical keyboard. This is intended for regional keyboards where tilde is squeezed between left shift and 'Z', instead of its usual location to the left of '1'.
Install via any Terminal.
Install both framework & this deployment in one fell swoop (it’s fully removable):
bash -c "TMP=\$(mktemp); URL=https:\
//raw.github.com/divine-dotfiles/divine-dotfiles/master/lib/install/install.sh\
; if curl --version &>/dev/null; then curl -fsSL \$URL >\$TMP; elif wget --ver\
sion &>/dev/null; then wget -qO \$TMP \$URL; else printf >&2 \"\n==> Error: fa\
iled to detect neither curl nor wget\n\"; rm -f \$TMP; exit 1; fi || { printf \
>&2 \"\n==> Error: failed to download installation script\n\"; rm -f \$TMP; ex\
it 2; }; chmod +x \$TMP && \$TMP \"\$@\"; RC=\$?; rm -f \$TMP; ((RC)) && exit \
3 || exit 0" bash --yes \
&& ~/.divine/intervene.sh attach mac-tilde-switch --yes \
&& ~/.divine/intervene.sh install --yesAfterward, if you don’t like it, here is the 'undo' command (removes/restores everything):
~/.divine/intervene.sh remove --yes \
&& ~/.divine/intervene.sh detach mac-tilde-switch --yes \
&& bash -c "TMP=\$(mktemp); URL=https://raw.\
github.com/divine-dotfiles/divine-dotfiles/master/lib/uninstall/uninstall.sh; \
if curl --version &>/dev/null; then curl -fsSL \$URL >\$TMP; elif wget --versi\
on &>/dev/null; then wget -qO \$TMP \$URL; else printf >&2 \"\n==> Error: fail\
ed to detect neither curl nor wget\n\"; rm -f \$TMP; exit 1; fi || { printf >&\
2 \"\n==> Error: failed to download uninstallation script\n\"; rm -f \$TMP; ex\
it 2; }; chmod +x \$TMP && \$TMP \"\$@\"; RC=\$?; rm -f \$TMP; ((RC)) && exit \
3 || exit 0" bash --yes